﻿using System;
using System.Collections.ObjectModel;
using System.Web.Mvc;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.MvcEdition;
using System.Collections.Generic;

namespace DisplayASimpleMapForMvc.Controllers
{
    public class IndexController : Controller
    {
        public ActionResult Index()
        {

            Map map = new Map("Map1",
               new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage),
               new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage));
            map.MapUnit = GeographyUnit.DecimalDegree;
            map.CurrentExtent = new RectangleShape(-180.05, 70, 180, -70);

            ShapeFileFeatureLayer shapelayer = new ShapeFileFeatureLayer(@"D:\TestData\cntry02.shp");
            shapelayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            shapelayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            
            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(shapelayer);
            map.CustomOverlays.Add(overlay);

            return PartialView(map);
        }
    }
}
